summaryrefslogtreecommitdiffstats
path: root/hacks/glx/molecules.sh
diff options
context:
space:
mode:
Diffstat (limited to 'hacks/glx/molecules.sh')
-rwxr-xr-xhacks/glx/molecules.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/hacks/glx/molecules.sh b/hacks/glx/molecules.sh
new file mode 100755
index 0000000..4f417c3
--- /dev/null
+++ b/hacks/glx/molecules.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+TARGET=$1
+shift
+SRCS=$*
+
+TMP=molecules.h.$$
+rm -f $TMP
+trap "rm -f $TMP" 1 2 3 15 EXIT
+
+if [ -z "$UTILS_SRC" ]; then UTILS_SRC="../../utils"; fi
+
+for f in $SRCS ; do
+ sh "$UTILS_SRC/ad2c" "$f" |
+ sed 's/",$/\\n"/' >> $TMP
+ echo ',' >> $TMP
+done
+
+if cmp -s $TMP $TARGET ; then
+ rm $TMP
+else
+ mv $TMP $TARGET
+fi